amcrypt.sh
来自「开源备份软件源码 AMANDA, the Advanced Marylan」· Shell 代码 · 共 48 行
SH
48 行
#!@SHELL@## Original wrapper by Paul Bijnens## worked by Stefan G. Weichinger# to enable gpg-encrypted dumps via aespipe# also worked by Matthieu Lochegnies for server-side encryptionprefix="@prefix@"exec_prefix="@exec_prefix@"sbindir="@sbindir@"amlibexecdir="@amlibexecdir@". "${amlibexecdir}/amanda-sh-lib.sh"# add sbin and ucb dirs, as well as csw (blastwave)PATH="$PATH:/usr/sbin:/sbin:/usr/ucb:/opt/csw/bin"export PATHAMANDA_HOME=~@CLIENT_LOGIN@AM_AESPIPE=@sbindir@/amaespipeAM_PASSPHRASE=$AMANDA_HOME/.am_passphraseAESPIPE=`which aespipe`if [ $? -ne 0 ] ; then echo `_ '%s: %s was not found in %s' "$0" "aespipe" "$PATH"` >&2 exit 2fiif [ ! -x $AESPIPE ] ; then echo `_ '%s: %s is not executable' "$0" "aespipe"` >&2 exit 2fiif [ ! -x $AM_AESPIPE ] ; then echo `_ '%s: %s was not found' "$0" "$AM_AESPIPE"` >&2 exit 2fiif [ ! -x $AM_AESPIPE ] ; then echo `_ '%s: %s is not executable' "$0" "$AM_AESPIPE"` >&2 exit 2fi$AM_AESPIPE "$@" 3< $AM_PASSPHRASErc=$?exit $rc
⌨️ 快捷键说明
复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?